java.awt.dnd

## Interface DragGestureListener

All Superinterfaces:
  EventListener

    public interface DragGestureListener
    extends EventListener

This interface is sourced from a `DragGestureRecognizer` and is invoked when an object of that (sub)class detects a drag initiating gesture.

The implementor of this interface is responsible for starting the drag as a result of receiving such notification.

See Also:
  `DragGestureRecognizer`, `DragGestureEvent`, `DragSource`

### Method Summary

Methods
`void` `dragGestureRecognized(DragGestureEvent dge)` A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

### Method Detail

#### dragGestureRecognized

    void dragGestureRecognized(DragGestureEvent dge)

A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

Parameters:
  `dge` - the `DragGestureEvent` describing the gesture that has just occurred

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.